/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext Dependency Manager API License Agreement [1].
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at:
 *   
 * [1] http://alakai.org/licensing/dependency-manager-ext-license.html
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.dependency.maven20;

import org.bluestemsoftware.specification.eoa.system.DependencyManager;

/**
 * Defines behavior for type specific implementation of <code>DependencyManager</code> which
 * uses the Maven 2.0 project management framework to model system dependencies.
 */
public abstract class MavenDependencyManager extends DependencyManager {
    
    public static final String SETTINGS_FILE = "settings.xml";
    
    public static final String DESCRIPTOR_FILE = "pom.xml";
    
    /*
     * (non-Javadoc)
     * @see org.bluestemsoftware.specification.eoa.system.DependencyManager#getConfigurationFileName()
     */
    public final String getConfigurationFileName() {
        return SETTINGS_FILE;
    }

    /*
     * (non-Javadoc)
     * @see org.bluestemsoftware.specification.eoa.system.DependencyManager#getProjectDescriptorName()
     */
    public final String getProjectDescriptorName() {
        return DESCRIPTOR_FILE;
    }

}
